# Do not modify this file!  It was generated by ‘nixos-generate-config’
# and may be overwritten by future invocations.  Please make changes
# to /etc/nixos/configuration.nix instead.
{
  config,
  lib,
  modulesPath,
  ...
}: {
  imports = [
    (modulesPath + "/installer/scan/not-detected.nix")
  ];

  boot = {
    initrd.availableKernelModules = ["xhci_pci" "ahci" "usb_storage" "usbhid" "sd_mod"];
    initrd.kernelModules = [];
    kernelModules = lib.mkAfter ["kvm-intel" "tun"];
    extraModulePackages = [];
  };

  fileSystems = {
    "/" = {
      device = "/dev/disk/by-uuid/f37e4afb-1ee2-4f70-a93c-398461405181";
      fsType = "ext4";
    };
    "/boot" = {
      device = "/dev/disk/by-uuid/111D-E5E8";
      fsType = "vfat";
      options = ["fmask=0077" "dmask=0077"];
    };
    "/srv" = {
      device = "/dev/disk/by-uuid/2ef442a9-0eab-4dc5-b17c-076e18a54873";
      fsType = "btrfs";
    };
  };

  swapDevices = [
    {device = "/dev/disk/by-uuid/c3a69154-ead9-4fcc-a9b1-3b741a42ee97";}
  ];

  nixpkgs.hostPlatform = lib.mkDefault "x86_64-linux";
  hardware.cpu.intel.updateMicrocode = lib.mkDefault config.hardware.enableRedistributableFirmware;
}
